Subject: RE: linux-next: build warnings in Linus' tree

From: "Nikolova, Tatyana E" <[email-masked]>
Date: Tue, 9 Jul 2013 21:48:43 +0000

Hello Stephen,

Thank you for reporting the error. I removed these variables from the debug statement, because I didn't see that they were defined. It is possible that I manually enabled the nes_debug and the #ifdef CONFIG_INFINIBAND_NES_DEBUG statement these variables are enclosed in wasn't true, so I saw a compilation issue.

Feel free to revert the commit bca1935ccdec ("RDMA/nes: Fix compilation error when nes_debug is enabled") or I will submit a patch to address the issue next week.

Regards,
Tatyana

-----Original Message-----
From: Stephen Rothwell [mailto:[email-masked]] 
Sent: Wednesday, July 03, 2013 11:59 PM
To: Roland Dreier
Cc: [email-masked]; [email-masked]; Nikolova, Tatyana E
Subject: linux-next: build warnings in Linus' tree

Hi all,

Building Linus' tree, today's linux-next build (x86_64 allmodconfig) produced this warning (these have been around for a while):

drivers/infiniband/hw/nes/nes_hw.c:81:23: warning: 'nes_iwarp_state_str' defined but not used [-Wunused-variable]  static unsigned char *nes_iwarp_state_str[] = {
                       ^
drivers/infiniband/hw/nes/nes_hw.c:92:23: warning: 'nes_tcp_state_str' defined but not used [-Wunused-variable]  static unsigned char *nes_tcp_state_str[] = {
                       ^

Introduced by commit bca1935ccdec ("RDMA/nes: Fix compilation error when nes_debug is enabled").

--
Cheers,
Stephen Rothwell                    [email-masked]